/*******************************************************************************
  File : book.h

  Description : Fichier en-tte pour le module "book".
*******************************************************************************/

#ifndef BOOK_H
#define BOOK_H

/*******************************************************************************
  Include files :
*******************************************************************************/

/* Fichiers en-tte des informations gnrales du programme : */
#include "main.h"

/* Fichier en-tte des donnes globales : */
#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

/* Fonctions externes du module : */
typedef struct {

  bool (*select_move) (move_s *move);
  void (*make_book) (void);

} book_module;

/*******************************************************************************
  Data :
*******************************************************************************/

extern book_module book;

#endif /* BOOK_H */
