/*******************************************************************************
  File : evaluate.h

  Description : Fichier en-tte pour le module "evaluate".
*******************************************************************************/

#ifndef EVALUATE_H
#define EVALUATE_H

/*******************************************************************************
  Include files :
*******************************************************************************/

/* Fichiers en-tte des informations gnrales du programme : */
#include "main.h"

/* Fichier en-tte des donnes globales : */
#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

/* Fonctions externes du module : */
typedef struct {

  int (*check_game_phase) (void);
  int (*evaluate_position) (void);

} evaluate_module_s;

/*******************************************************************************
  Data :
*******************************************************************************/

extern evaluate_module_s evaluate;

#endif /* EVALUATE_H */
