/*******************************************************************************
  File : moves.h

  Description : Fichier en-tte pour le module "moves".
*******************************************************************************/

#ifndef MOVES_H
#define MOVES_H

/*******************************************************************************
  Include files :
*******************************************************************************/

/* Fichiers en-tte des informations gnrales du programme : */
#include "main.h"

/* Fichier en-tte des donnes globales : */
#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

/* Fonctions externes du module : */
typedef struct {

  int (*generate) (move_s *moves, bool captures_only);
  bool (*is_attacked) (int square0, int color);
  bool (*is_legal) (move_s *move);
  void (*make) (move_s *move);
  void (*unmake) (move_s *move);

} moves_module_s;

/*******************************************************************************
  Data :
*******************************************************************************/

extern moves_module_s moves;

#endif /* MOVES_H */
